Bug 1733752 - environment-modules-4.3.0 is available
Summary: environment-modules-4.3.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: environment-modules
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-28 11:38 UTC by Xavier Delaruelle
Modified: 2019-07-30 07:06 UTC (History)
1 user (show)

Fixed In Version: environment-modules-4.3.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 07:06:39 UTC


Attachments (Terms of Use)
Example patch for the environment-modules RPM specfile (2.73 KB, patch)
2019-07-28 11:38 UTC, Xavier Delaruelle
no flags Details | Diff

Description Xavier Delaruelle 2019-07-28 11:38:53 UTC
Created attachment 1594035 [details]
Example patch for the environment-modules RPM specfile

I am crafting this ticket manually as the "Upstream Release Monitoring" did not spawn a ticket this time.

There is a new feature release for Environment-Modules: 4.3.0. Details are available at: https://timeline.noticeable.io/cbzeG7wTvAIqj21zbUmx/posts/modules-4-3-0-released

I attach to this ticket an example patch for the environment-modules RPM specfile. This is the change applied to the specfile provided in the contrib directory of the Modules project.

New features in this release lead to changes on the specfile:
- Update to 4.3.0
- Add Vim syntax addons
- Enable libtclenvmodules
- Add a default site configuration file in etc directory
- Disable shell startup file set (bug #1578587 and bug #1699234)
- Set etc directory to /etc/environment-modules and move in it configuration files previously installed in init directory. modulerc and .modulespath files in init directory respectively become initrc and modulespath in etc directory (bug #1506663)

The two last items may lead to some incompatibilities with the previous versions, but help to solve issues reported here.

Comment 1 Jan Synacek 2019-07-29 11:07:47 UTC
(In reply to Xavier Delaruelle from comment #0)
> Created attachment 1594035 [details]
> Example patch for the environment-modules RPM specfile

Why the added dependency on libX11-devel? I don't see anything in the changelog that would require such change.

Comment 2 Xavier Delaruelle 2019-07-29 12:52:16 UTC
It was already there in the previous version of this contrib spec file. The `BuildRequires:  tcl-devel, tclx-devel, libX11-devel` line has been split in two BuildRequires directives to distinguish tcl-devel which is now also needed to build the extension library, from tclx-devel and libX11-devel which are only needed to build compat version.

Comment 3 Jan Synacek 2019-07-29 13:02:51 UTC
Oh, sorry about that, I got confused by the diff... Let's blame it on monday.


Note You need to log in before you can comment on or make changes to this bug.